/*
 * 文 件 名:  DimGbRegion
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2022/2/18
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.data.model;

/**
 * 行政区划
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2022/2/18]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class GbRegion {
    /**
     * 区划代码
     */
    private String adcode;

    /**
     * 区划名称
     */
    private String name;

    /**
     * 区划类型
     */
    private int areaType;

    /**
     * 父级区划代码
     */
    private String parentArea;

    /**
     * 父级区划名称
     */
    private String parentAreaName;

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAreaType() {
        return areaType;
    }

    public void setAreaType(int areaType) {
        this.areaType = areaType;
    }

    public String getParentArea() {
        return parentArea;
    }

    public void setParentArea(String parentArea) {
        this.parentArea = parentArea;
    }

    public String getParentAreaName() {
        return parentAreaName;
    }

    public void setParentAreaName(String parentAreaName) {
        this.parentAreaName = parentAreaName;
    }
}